{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    " AB",
    "ACA",
    "AAA"
  ],
  "key": {
    "A": {
      "tag": "forge:ingots/steel_iron"
    },
    "B":{
      "item": "createaddition:iron_wire"
    },
    "C": {
      "item": "minecraft:green_dye"
    }
  },
  "result": {
    "item": "thirstcanteen:military_bottle",
    "count": 1
  }
}